> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gnosispay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Subscribe to Webhooks

> Allows a partner to receive webhook notifications for the authenticated user.



## OpenAPI

````yaml https://api.gnosispay.com/api-docs/spec.json post /api/v1/webhooks/subscribe/{partnerId}
openapi: 3.0.0
info:
  title: GnosisPay API
  version: 1.0.0
  description: OpenAPI documentation for GnosisPay
servers:
  - url: https://api.gnosispay.com
security: []
tags:
  - name: Account Management
    description: Information about your Account
  - name: Authentication
    description: Authenticate to our API using SIWE
  - name: Card Management
    description: Manage all your Cards
  - name: IBAN
    description: Integrate with Monerium to issue IBANs
  - name: KYC
    description: KYC using Sumsub SDK
  - name: Physical Card Order
    description: Order a Physical Card and manage the process
  - name: Rewards
    description: Cashback Rewards
  - name: Safe Management
    description: Manage your Safe
  - name: Transactions
    description: Manage Card Transactions
  - name: User
    description: Manage User Information
  - name: Webhooks
    description: Manage Webhooks
paths:
  /api/v1/webhooks/subscribe/{partnerId}:
    post:
      tags:
        - Webhooks
      summary: Subscribe to Webhooks
      description: >-
        Allows a partner to receive webhook notifications for the authenticated
        user.
      parameters:
        - in: path
          name: partnerId
          required: true
          schema:
            type: string
          description: Partner ID to subscribe to
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - message
                - signature
              properties:
                message:
                  type: string
                  description: >-
                    SIWE message obtained from
                    /api/v1/webhooks/message/{partnerId}
                signature:
                  type: string
                  description: Signature of the message by the user's wallet
      responses:
        '200':
          description: Successfully subscribed to partner webhooks
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    description: Whether the subscription was successful
                  subscriptionId:
                    type: string
                    description: Unique ID of the created subscription
        '400':
          description: Invalid request or signature
        '401':
          description: Authentication required
        '409':
          description: Subscription already exists
        '500':
          $ref: '#/components/responses/InternalServerError'
components:
  responses:
    InternalServerError:
      description: Internal Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  schemas:
    Error:
      type: object
      properties:
        error:
          type: string
          description: Error message
          example: Internal server error

````